import { defineComponent, useCssVars, unref, toRefs, openBlock, createElementBlock, createElementVNode, toDisplayString } from "vue";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "go-border-06" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = ["points"];
const _hoisted_4 = ["points"];
const _hoisted_5 = ["points"];
const _hoisted_6 = ["points"];
const _hoisted_7 = ["points"];
const _hoisted_8 = ["points"];
const _hoisted_9 = ["points"];
const _hoisted_10 = { class: "text" };
const __default__ = defineComponent({ name: "EDecorates06" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    useCssVars((_ctx) => ({
      "d5762468": unref(colors)[0],
      "d576242a": unref(colors)[1],
      "408098ac": unref(textColor),
      "70b91bc9": unref(textSize) + "px"
    }));
    const getUUID = (randomLength = 10) => {
      return Number(
        Math.random().toString().substring(2, randomLength) + Date.now()
      ).toString(36);
    };
    getUUID();
    const { w, h } = toRefs(props.chartConfig.attr);
    const { colors, dataset, textSize, textColor } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        (openBlock(), createElementBlock("svg", {
          xmlns: "http://www.w3.org/2000/svg",
          width: unref(w),
          height: unref(h)
        }, [
          createElementVNode("polygon", {
            class: "stroke fill",
            points: `15.5 6.5 20.5 0.5 50.5 0.5 55.5 6.5 15.5 6.5`
          }, null, 8, _hoisted_3),
          createElementVNode("polygon", {
            class: "stroke fill",
            points: `15.5 ${unref(h) - 6.5} 20.5 ${unref(h) - 0.5} 50.5 ${unref(h) - 0.5} 55.5 ${unref(h) - 6.5} 15.5 ${unref(h) - 6.5}`
          }, null, 8, _hoisted_4),
          createElementVNode("polygon", {
            class: "stroke fill",
            points: `${unref(w) - 15.5} 6.5 ${unref(w) - 20.5} 0.5 ${unref(w) - 50.5} 0.5 ${unref(w) - 55.5} 6.5 ${unref(w) - 15.5} 6.5`
          }, null, 8, _hoisted_5),
          createElementVNode("polygon", {
            class: "stroke fill",
            points: `${unref(w) - 15.5} ${unref(h) - 6.5} ${unref(w) - 20.5} ${unref(h) - 0.5} ${unref(w) - 50.5} ${unref(h) - 0.5} ${unref(w) - 55.5} ${unref(h) - 6.5} ${unref(w) - 15.5} ${unref(h) - 6.5}`
          }, null, 8, _hoisted_6),
          createElementVNode("polygon", {
            class: "stroke fill",
            points: `15.5 6.5 0.5 ${unref(h) / 2} 15.5 ${unref(h) - 6.5} ${unref(w) - 15.5} ${unref(h) - 6.5} ${unref(w) - 0.5} ${unref(h) / 2} ${unref(w) - 15.5} 6.5 15.5 6.5`
          }, null, 8, _hoisted_7),
          createElementVNode("polyline", {
            class: "stroke fill-none",
            points: `20.5 14.5 8.5 ${unref(h) / 2} 20.5 ${unref(h) - 14.5}`
          }, null, 8, _hoisted_8),
          createElementVNode("polyline", {
            class: "stroke fill-none",
            points: `${unref(w) - 20.5} 14.5 ${unref(w) - 8.5} ${unref(h) / 2} ${unref(w) - 20.5} ${unref(h) - 14.5}`
          }, null, 8, _hoisted_9)
        ], 8, _hoisted_2)),
        createElementVNode("span", _hoisted_10, toDisplayString(unref(dataset)), 1)
      ]);
    };
  }
});
var _EDecorates06 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-cb0b8b94"]]);
export { _EDecorates06 as default };
